### Enumeration

# ECal ComponentRangeKind

#### Declaration

    enum ECal.ComponentRangeKind

#### Description [src]

The kind of range.

#### Members

`E_CAL_COMPONENT_RANGE_SINGLE`

  Single.

  - Value: `0`
  - Available since: 2.0
`E_CAL_COMPONENT_RANGE_THISPRIOR`

  This and prior.

  - Value: `1`
  - Available since: 2.0
`E_CAL_COMPONENT_RANGE_THISFUTURE`

  This and future.

  - Value: `2`
  - Available since: 2.0